Loading...
Searching...
No Matches
generic_unary_traits< binder_first< BinaryFunction, A1 > >::hint< undeterminated_basic< T >, R >

## Detailed Description

template<class BinaryFunction, class A1>
template<class R, class T>
struct rheolef::details::generic_unary_traits< binder_first< BinaryFunction, A1 > >::hint< undeterminated_basic< T >, R >

Definition at line 1826 of file expression.h.

## Public Types

typedef R | result_type
typedef generic_binary_traits< BinaryFunction >::template hint< A1, undeterminated_basic< T >, R >::second_argument_type | argument_type

## Static Public Member Functions

static space_constant::valued_type | valued_tag (space_constant::valued_type)

## Member Typedef Documentation

## result_type

template<class BinaryFunction, class A1>
template<class R, class T>

typedef R result_type

Definition at line 1827 of file expression.h.

## argument_type

template<class BinaryFunction, class A1>
template<class R, class T>

typedef generic_binary_traits<BinaryFunction>::template hint<A1,undeterminated_basic<T>,R>::second_argument_type argument_type

Definition at line 1829 of file expression.h.

## Member Function Documentation

## valued_tag()

space_constant::valued_type valued_tag | ( | space_constant::valued_type |  | ) |

static

Definition at line 200 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/expression.h